### Method

# ECal ComponentId copy

since: 3.10

#### Declaration [src]

    ECalComponentId*
    e_cal_component_id_copy (
      const ECalComponentId* id
    )

#### Description [src]

Returns a newly allocated copy of `id`, which should be freed with e_cal_component_id_free().

Available since: 3.10

#### Return value

Type: `ECalComponentId`

A newly allocated copy of `id`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.